Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorShawn O. Pearce2010-03-22 11:52:19 -0400
committerShawn O. Pearce2010-03-22 11:52:19 -0400
commit6722f079dd0c3a38fc1f4de59a2d71ec56262585 (patch)
tree60877e8ac8c80fe4fa552d531c40078284bec147
parent322f723e997dcb45f184d9431e53d18195ccbe42 (diff)
downloadegit-6722f079dd0c3a38fc1f4de59a2d71ec56262585.tar.gz
egit-6722f079dd0c3a38fc1f4de59a2d71ec56262585.tar.xz
egit-6722f079dd0c3a38fc1f4de59a2d71ec56262585.zip
Qualify builds as 0.8.0
Since the API is changing relative to 0.7.0, we'll call our next release 0.8.1. But until that gets released, builds from master will be 0.8.0.qualifier. Change-Id: I6b2ea58935b2748c9e4559de7ce58d61936d8c82 Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
-rw-r--r--org.eclipse.egit-feature/feature.xml4
-rw-r--r--org.eclipse.egit-feature/pom.xml2
-rw-r--r--org.eclipse.egit-updatesite/pom.xml4
-rw-r--r--org.eclipse.egit.core.test/META-INF/MANIFEST.MF18
-rw-r--r--org.eclipse.egit.core.test/pom.xml2
-rw-r--r--org.eclipse.egit.core/META-INF/MANIFEST.MF28
-rw-r--r--org.eclipse.egit.core/pom.xml2
-rw-r--r--org.eclipse.egit.doc/META-INF/MANIFEST.MF2
-rw-r--r--org.eclipse.egit.doc/pom.xml2
-rw-r--r--org.eclipse.egit.ui.test/META-INF/MANIFEST.MF4
-rw-r--r--org.eclipse.egit.ui/META-INF/MANIFEST.MF12
-rw-r--r--org.eclipse.egit.ui/pom.xml2
-rw-r--r--org.eclipse.egit/META-INF/MANIFEST.MF2
-rw-r--r--org.eclipse.egit/pom.xml2
-rw-r--r--pom.xml4
15 files changed, 45 insertions, 45 deletions
diff --git a/org.eclipse.egit-feature/feature.xml b/org.eclipse.egit-feature/feature.xml
index 27a9a77a4..8e3c9d5c5 100644
--- a/org.eclipse.egit-feature/feature.xml
+++ b/org.eclipse.egit-feature/feature.xml
@@ -2,7 +2,7 @@
<feature
id="org.eclipse.egit"
label="%featureName"
- version="0.6.0.qualifier"
+ version="0.8.0.qualifier"
provider-name="%providerName"
plugin="org.eclipse.egit">
@@ -38,7 +38,7 @@
<import plugin="org.eclipse.jsch.ui" version="1.1.100" match="compatible"/>
<import plugin="org.eclipse.jsch.core" version="1.1.100" match="compatible"/>
<import plugin="com.jcraft.jsch" version="0.1.41" match="compatible"/>
- <import feature="org.eclipse.jgit" version="0.6.0" match="equivalent"/>
+ <import feature="org.eclipse.jgit" version="0.8.0" match="equivalent"/>
</requires>
<plugin
diff --git a/org.eclipse.egit-feature/pom.xml b/org.eclipse.egit-feature/pom.xml
index f5e9676a2..c04756adf 100644
--- a/org.eclipse.egit-feature/pom.xml
+++ b/org.eclipse.egit-feature/pom.xml
@@ -16,7 +16,7 @@
<parent>
<groupId>org.eclipse.egit</groupId>
<artifactId>egit-parent</artifactId>
- <version>0.6.0-SNAPSHOT</version>
+ <version>0.8.0-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.egit-feature</artifactId>
diff --git a/org.eclipse.egit-updatesite/pom.xml b/org.eclipse.egit-updatesite/pom.xml
index e2b117701..ab01bab32 100644
--- a/org.eclipse.egit-updatesite/pom.xml
+++ b/org.eclipse.egit-updatesite/pom.xml
@@ -16,7 +16,7 @@
<parent>
<groupId>org.eclipse.egit</groupId>
<artifactId>egit-parent</artifactId>
- <version>0.6.0-SNAPSHOT</version>
+ <version>0.8.0-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.egit-updatesite</artifactId>
@@ -24,7 +24,7 @@
<name>Eclipse Git Plugin Update Site (Incubation)</name>
<!-- see http://issues.sonatype.org/browse/TYCHO-313 -->
- <version>0.6.0</version>
+ <version>0.8.0</version>
<dependencies>
<dependency>
diff --git a/org.eclipse.egit.core.test/META-INF/MANIFEST.MF b/org.eclipse.egit.core.test/META-INF/MANIFEST.MF
index b4338c1c4..270e9c9e2 100644
--- a/org.eclipse.egit.core.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.egit.core.test/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Bundle-ManifestVersion: 2
Bundle-Name: Git Team Provider Core Test Plug-in (Incubation)
Bundle-Vendor: Eclipse.org
Bundle-SymbolicName: org.eclipse.egit.core.test
-Bundle-Version: 0.6.0.qualifier
+Bundle-Version: 0.8.0.qualifier
Bundle-Activator: org.eclipse.egit.core.test.Activator
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
org.eclipse.core.filesystem;bundle-version="[1.1.0,2.0.0)",
@@ -13,12 +13,12 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
org.eclipse.jdt.launching;bundle-version="[3.4.0,4.0.0)",
org.junit4;bundle-version="[4.3.0,5.0.0)"
Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.egit.core;version="[0.6.0,0.7.0)",
- org.eclipse.egit.core.op;version="[0.6.0,0.7.0)",
- org.eclipse.egit.core.project;version="[0.6.0,0.7.0)",
- org.eclipse.jgit.junit;version="[0.6.0,0.7.0)",
- org.eclipse.jgit.lib;version="[0.6.0,0.7.0)",
- org.eclipse.jgit.treewalk;version="[0.6.0,0.7.0)",
- org.eclipse.jgit.treewalk.filter;version="[0.6.0,0.7.0)",
- org.eclipse.jgit.util;version="[0.6.0,0.7.0)"
+Import-Package: org.eclipse.egit.core;version="[0.8.0,0.9.0)",
+ org.eclipse.egit.core.op;version="[0.8.0,0.9.0)",
+ org.eclipse.egit.core.project;version="[0.8.0,0.9.0)",
+ org.eclipse.jgit.junit;version="[0.8.0,0.9.0)",
+ org.eclipse.jgit.lib;version="[0.8.0,0.9.0)",
+ org.eclipse.jgit.treewalk;version="[0.8.0,0.9.0)",
+ org.eclipse.jgit.treewalk.filter;version="[0.8.0,0.9.0)",
+ org.eclipse.jgit.util;version="[0.8.0,0.9.0)"
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/org.eclipse.egit.core.test/pom.xml b/org.eclipse.egit.core.test/pom.xml
index 6c180e4e0..b19d6eaa8 100644
--- a/org.eclipse.egit.core.test/pom.xml
+++ b/org.eclipse.egit.core.test/pom.xml
@@ -16,7 +16,7 @@
<parent>
<groupId>org.eclipse.egit</groupId>
<artifactId>egit-parent</artifactId>
- <version>0.6.0-SNAPSHOT</version>
+ <version>0.8.0-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.egit.core.test</artifactId>
diff --git a/org.eclipse.egit.core/META-INF/MANIFEST.MF b/org.eclipse.egit.core/META-INF/MANIFEST.MF
index b932fd70c..029397b3b 100644
--- a/org.eclipse.egit.core/META-INF/MANIFEST.MF
+++ b/org.eclipse.egit.core/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %plugin_name
Bundle-SymbolicName: org.eclipse.egit.core;singleton:=true
-Bundle-Version: 0.6.0.qualifier
+Bundle-Version: 0.8.0.qualifier
Bundle-Activator: org.eclipse.egit.core.Activator
Bundle-Vendor: %provider_name
Bundle-Localization: plugin
@@ -10,18 +10,18 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
org.eclipse.team.core;bundle-version="[3.4.0,4.0.0)",
org.eclipse.core.resources;bundle-version="[3.4.0,4.0.0)",
org.eclipse.core.filesystem;bundle-version="[1.2.0,2.0.0)"
-Export-Package: org.eclipse.egit.core;version="0.6.0",
- org.eclipse.egit.core.internal.storage;version="0.6.0";x-friends:="org.eclipse.egit.ui",
- org.eclipse.egit.core.internal.util;version="0.6.0";x-friends:="org.eclipse.egit.ui",
- org.eclipse.egit.core.op;version="0.6.0",
- org.eclipse.egit.core.project;version="0.6.0"
+Export-Package: org.eclipse.egit.core;version="0.8.0",
+ org.eclipse.egit.core.internal.storage;version="0.8.0";x-friends:="org.eclipse.egit.ui",
+ org.eclipse.egit.core.internal.util;version="0.8.0";x-friends:="org.eclipse.egit.ui",
+ org.eclipse.egit.core.op;version="0.8.0",
+ org.eclipse.egit.core.project;version="0.8.0"
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Import-Package: org.eclipse.jgit.dircache;version="[0.6.0,0.7.0)",
- org.eclipse.jgit.errors;version="[0.6.0,0.7.0)",
- org.eclipse.jgit.lib;version="[0.6.0,0.7.0)",
- org.eclipse.jgit.revwalk;version="[0.6.0,0.7.0)",
- org.eclipse.jgit.transport;version="[0.6.0,0.7.0)",
- org.eclipse.jgit.treewalk;version="[0.6.0,0.7.0)",
- org.eclipse.jgit.treewalk.filter;version="[0.6.0,0.7.0)",
- org.eclipse.jgit.util;version="[0.6.0,0.7.0)"
+Import-Package: org.eclipse.jgit.dircache;version="[0.8.0,0.9.0)",
+ org.eclipse.jgit.errors;version="[0.8.0,0.9.0)",
+ org.eclipse.jgit.lib;version="[0.8.0,0.9.0)",
+ org.eclipse.jgit.revwalk;version="[0.8.0,0.9.0)",
+ org.eclipse.jgit.transport;version="[0.8.0,0.9.0)",
+ org.eclipse.jgit.treewalk;version="[0.8.0,0.9.0)",
+ org.eclipse.jgit.treewalk.filter;version="[0.8.0,0.9.0)",
+ org.eclipse.jgit.util;version="[0.8.0,0.9.0)"
diff --git a/org.eclipse.egit.core/pom.xml b/org.eclipse.egit.core/pom.xml
index 968cff3e3..5abf44168 100644
--- a/org.eclipse.egit.core/pom.xml
+++ b/org.eclipse.egit.core/pom.xml
@@ -16,7 +16,7 @@
<parent>
<groupId>org.eclipse.egit</groupId>
<artifactId>egit-parent</artifactId>
- <version>0.6.0-SNAPSHOT</version>
+ <version>0.8.0-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.egit.core</artifactId>
diff --git a/org.eclipse.egit.doc/META-INF/MANIFEST.MF b/org.eclipse.egit.doc/META-INF/MANIFEST.MF
index 5fda073a1..611f690e1 100644
--- a/org.eclipse.egit.doc/META-INF/MANIFEST.MF
+++ b/org.eclipse.egit.doc/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: org.eclipse.egit.doc;singleton:=true
-Bundle-Version: 0.6.0.qualifier
+Bundle-Version: 0.8.0.qualifier
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Vendor: %Bundle-Vendor
Bundle-Localization: plugin
diff --git a/org.eclipse.egit.doc/pom.xml b/org.eclipse.egit.doc/pom.xml
index 7adaa5e1e..d01c83f75 100644
--- a/org.eclipse.egit.doc/pom.xml
+++ b/org.eclipse.egit.doc/pom.xml
@@ -16,7 +16,7 @@
<parent>
<groupId>org.eclipse.egit</groupId>
<artifactId>egit-parent</artifactId>
- <version>0.6.0-SNAPSHOT</version>
+ <version>0.8.0-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.egit.doc</artifactId>
diff --git a/org.eclipse.egit.ui.test/META-INF/MANIFEST.MF b/org.eclipse.egit.ui.test/META-INF/MANIFEST.MF
index 20aca8245..23aa4ef5f 100644
--- a/org.eclipse.egit.ui.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.egit.ui.test/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Bundle-ManifestVersion: 2
Bundle-Name: Git Team Provider UI Test Plug-in (Incubation)
Bundle-Vendor: Eclipse.org
Bundle-SymbolicName: org.eclipse.egit.ui.test
-Bundle-Version: 0.6.0.qualifier
+Bundle-Version: 0.8.0.qualifier
Bundle-Activator: org.eclipse.egit.ui.test.Activator
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
@@ -11,7 +11,7 @@ Require-Bundle: org.eclipse.core.runtime;version="[3.4.0,4.0.0)",
org.eclipse.core.filesystem;version="[3.4.0,4.0.0)",
org.eclipse.core.resources;version="[3.4.0,4.0.0)"
Import-Package: org.apache.log4j,
- org.eclipse.jgit.lib;version="[0.6.0,0.7.0)",
+ org.eclipse.jgit.lib;version="[0.8.0,0.9.0)",
org.eclipse.swt.widgets,
org.eclipse.swtbot.eclipse.finder,
org.eclipse.swtbot.eclipse.finder.exceptions,
diff --git a/org.eclipse.egit.ui/META-INF/MANIFEST.MF b/org.eclipse.egit.ui/META-INF/MANIFEST.MF
index 8428503d4..53403f93d 100644
--- a/org.eclipse.egit.ui/META-INF/MANIFEST.MF
+++ b/org.eclipse.egit.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %plugin_name
Bundle-SymbolicName: org.eclipse.egit.ui;singleton:=true
-Bundle-Version: 0.6.0.qualifier
+Bundle-Version: 0.8.0.qualifier
Bundle-Activator: org.eclipse.egit.ui.Activator
Bundle-Vendor: %provider_name
Bundle-Localization: plugin
@@ -23,11 +23,11 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Import-Package: com.jcraft.jsch;version="[0.1.41,0.2.0)",
- org.eclipse.egit.core;version="[0.6.0,0.7.0)",
- org.eclipse.egit.core.internal.storage;version="[0.6.0,0.7.0)",
- org.eclipse.egit.core.internal.util;version="[0.6.0,0.7.0)",
- org.eclipse.egit.core.op;version="[0.6.0,0.7.0)",
- org.eclipse.egit.core.project;version="[0.6.0,0.7.0)",
+ org.eclipse.egit.core;version="[0.8.0,0.9.0)",
+ org.eclipse.egit.core.internal.storage;version="[0.8.0,0.9.0)",
+ org.eclipse.egit.core.internal.util;version="[0.8.0,0.9.0)",
+ org.eclipse.egit.core.op;version="[0.8.0,0.9.0)",
+ org.eclipse.egit.core.project;version="[0.8.0,0.9.0)",
org.eclipse.jgit.diff;version="0.6.0",
org.eclipse.jgit.dircache;version="0.6.0",
org.eclipse.jgit.errors;version="0.6.0",
diff --git a/org.eclipse.egit.ui/pom.xml b/org.eclipse.egit.ui/pom.xml
index 5bb061c9d..4d3769d51 100644
--- a/org.eclipse.egit.ui/pom.xml
+++ b/org.eclipse.egit.ui/pom.xml
@@ -16,7 +16,7 @@
<parent>
<groupId>org.eclipse.egit</groupId>
<artifactId>egit-parent</artifactId>
- <version>0.6.0-SNAPSHOT</version>
+ <version>0.8.0-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.egit.ui</artifactId>
diff --git a/org.eclipse.egit/META-INF/MANIFEST.MF b/org.eclipse.egit/META-INF/MANIFEST.MF
index 3fea50c33..860c39a41 100644
--- a/org.eclipse.egit/META-INF/MANIFEST.MF
+++ b/org.eclipse.egit/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %plugin_name
Bundle-SymbolicName: org.eclipse.egit
-Bundle-Version: 0.6.0.qualifier
+Bundle-Version: 0.8.0.qualifier
Bundle-Vendor: %provider_name
Bundle-Localization: plugin
Bundle-ActivationPolicy: lazy
diff --git a/org.eclipse.egit/pom.xml b/org.eclipse.egit/pom.xml
index f6b8eb9c5..cf7149695 100644
--- a/org.eclipse.egit/pom.xml
+++ b/org.eclipse.egit/pom.xml
@@ -16,7 +16,7 @@
<parent>
<groupId>org.eclipse.egit</groupId>
<artifactId>egit-parent</artifactId>
- <version>0.6.0-SNAPSHOT</version>
+ <version>0.8.0-SNAPSHOT</version>
</parent>
<artifactId>org.eclipse.egit</artifactId>
diff --git a/pom.xml b/pom.xml
index 84b0c657f..103b1df91 100644
--- a/pom.xml
+++ b/pom.xml
@@ -19,7 +19,7 @@
<groupId>org.eclipse.egit</groupId>
<artifactId>egit-parent</artifactId>
- <version>0.6.0-SNAPSHOT</version>
+ <version>0.8.0-SNAPSHOT</version>
<packaging>pom</packaging>
<name>EGit Parent (Incubation)</name>
@@ -61,7 +61,7 @@
<properties>
<tycho-version>0.7.0</tycho-version>
- <jgit-version>0.6.0-SNAPSHOT</jgit-version>
+ <jgit-version>0.8.0-SNAPSHOT</jgit-version>
<eclipse-site>http://download.eclipse.org/releases/galileo</eclipse-site>
</properties>

Back to the top